package com.tzld.piaoquan.recommend.server.service.recall;

import com.google.common.collect.Lists;
import com.tzld.piaoquan.recommend.server.service.filter.FilterParam;

import java.util.List;
import java.util.Map;

/**
 * @author dyp
 */
public class FilterParamFactory {
    public static FilterParam create(RecallParam param, List<Long> videoIds) {
        FilterParam filterParam = new FilterParam();
        filterParam.setVideoIds(videoIds);
        filterParam.setAppType(param.getAppType());
        filterParam.setMid(param.getMid());
        filterParam.setUid(param.getUid());

        // 风险过滤
        filterParam.setRiskUser(param.isRiskUser());
        filterParam.setTestingRiskRegion(param.isTestingRiskRegion());
        filterParam.setRegionCode(param.getRegionCode());
        filterParam.setAbExpCodes(param.getAbExpCodes());
        filterParam.setCityCode(param.getCityCode());
        filterParam.setHotSceneType(param.getHotSceneType());
        filterParam.setClientIp(param.getClientIp());
        return filterParam;
    }
}
